BEEM - Android XMPP - Bug #272

Opened chats dialog shows every online contact in roster and in random order

06/14/2010 06:47 PM - Anonymous

Status: New Start date:
Priority: Normal Due date:
Assignee: % Done:
Category: Estimated time:
Target version: 0.2

Affected version: 0.1.x Locale:
Description

| just started using Beem on Friday, but quickly ran into an issue with the Opened chats dialog. | have noticed that it shows every
online contact from my roster, whether or not | have sent or received a chat from them. After adding some debug code | was able to
determine that the only messages received from my contacts were status changes. The contacts are also listed in random order,

which doesn't seem ideal.

| have attached a patch which adds message count tracking for Normal, Chat, Group Chat and Error message types to the

ChatAdapter class. With those individual counts | was able to update getOpenedChatList in the BeemChatManager class to populate

the opened chats dialog with contacts that have sent/received Chat or Group Chat messages.

The patch also adds case-insensitive sorting to the opened chats list.

History

#1 - 06/30/2010 07:53 PM - Nate Case

I'm seeing the same behavior here. Using an OpenFire server.

#2 - 07/22/2010 10:58 AM - Frédéric Barthéléry

- Target version set to 0.1.5

#3 - 01/19/2011 06:45 PM - Frédéric Barthéléry

- Target version changed from 0.1.5 to 0.2

Files
open_chats.patch 4.66 KB 06/14/2010 Anonymous
